Bug 32222 - REGRESSION(51644): Qt's tst_QWebPage::requestCache() fails
Summary: REGRESSION(51644): Qt's tst_QWebPage::requestCache() fails
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Page Loading (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P1 Normal
Assignee: Nobody
URL:
Keywords: Qt
Depends on:
Blocks: 32216
  Show dependency treegraph
 
Reported: 2009-12-07 07:15 PST by Benjamin Poulain
Modified: 2009-12-11 05:12 PST (History)
7 users (show)

See Also:


Attachments
Proposed fix (1.21 KB, patch)
2009-12-08 04:56 PST, Andreas Kling
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Benjamin Poulain 2009-12-07 07:15:05 PST
With Qt 4.6 trunk and Webkit trunk, the autotest "tst_QWebPage::requestCache()" is failing.
Comment 1 Andreas Kling 2009-12-08 04:56:48 PST
Created attachment 44466 [details]
Proposed fix

The behavior wrt cache policy on backward navigation was broken by a typo in http://trac.webkit.org/changeset/51644

See also https://bugs.webkit.org/show_bug.cgi?id=32052
Comment 2 Benjamin Poulain 2009-12-08 23:39:36 PST
Comment on attachment 44466 [details]
Proposed fix

Good job. I change the review flag to ?.
Comment 3 WebKit Review Bot 2009-12-08 23:43:00 PST
style-queue ran check-webkit-style on attachment 44466 [details] without any errors.
Comment 4 Eric Seidel (no email) 2009-12-09 13:31:41 PST
This bug is not qt-specific if it's in common code.

I've CC'd the authors of the original change.
Comment 5 Brady Eidson 2009-12-09 13:48:47 PST
Comment on attachment 44466 [details]
Proposed fix

It's a shame that we didn't have LayoutTests to catch this regression.
It's awesome that some other automatic testing caught it.
It's a HUGE shame that this other automated testing isn't cross platform and doesn't run on a bot that is part of the main LayoutTest infrastructure that people monitor at build.webkit.org.

Is there any particular reason why such testing can't be integrated into the main project?

r+ anyways.
Comment 6 Eric Seidel (no email) 2009-12-09 13:58:40 PST
I think Brady meant to set r+ on the patch.
Comment 7 Brady Eidson 2009-12-09 14:07:28 PST
And I thought I did.
Comment 8 WebKit Commit Bot 2009-12-09 14:33:04 PST
Comment on attachment 44466 [details]
Proposed fix

Clearing flags on attachment: 44466

Committed r51924: <http://trac.webkit.org/changeset/51924>
Comment 9 WebKit Commit Bot 2009-12-09 14:33:11 PST
All reviewed patches have been landed.  Closing bug.
Comment 10 Benjamin Poulain 2009-12-11 05:12:21 PST
(In reply to comment #5)
> It's a shame that we didn't have LayoutTests to catch this regression.
> It's awesome that some other automatic testing caught it.
> It's a HUGE shame that this other automated testing isn't cross platform and
> doesn't run on a bot that is part of the main LayoutTest infrastructure that
> people monitor at build.webkit.org.

The Qt autotest are C++ tests for the Qt APIs, they are currently run in the Qt infrastructure, separated from webkit.

There is work being done to run the webkit's autotests as a layout test on the Qt bot. Just be patient, this is coming.